
/* Network traffic analyzer
 * (c) 2001-2002, Emil Mikulic.
 */

#ifndef __GRAPH_H
#define __GRAPH_H

#include "bignum.h"
#include <stdio.h>
#include <pthread.h>

#define GRAPH_SECS 60
#define GRAPH_MINS 60
#define GRAPH_HRS 24
#define GRAPH_DAYS 30

extern pthread_mutex_t graph_mutex;

extern i64 graph_sec_in[GRAPH_SECS], graph_sec_out[GRAPH_SECS];
extern i64 graph_min_in[GRAPH_MINS], graph_min_out[GRAPH_MINS];
extern i64 graph_hr_in[GRAPH_HRS], graph_hr_out[GRAPH_HRS];
extern i64 graph_day_in[GRAPH_DAYS], graph_day_out[GRAPH_DAYS];
extern int pos_sec, pos_min, pos_hr, pos_day;
extern int g_secs, g_mins, g_hrs;

void init_graph(void);
inline void graph_add_in(const dword amount);
inline void graph_add_out(const dword amount);
inline void graph_rotate(dword now);
void graph_save(FILE *fp);

#endif

